﻿
@model PagedList.IPagedList<ContosoUniversity.Models.ChitietSuCo>
@*@model IEnumerable<ContosoUniversity.DTO.ChitietSuCo>*@

@using PagedList.Mvc;


<head>
    <link href="~/Content/PagedList.css" rel="stylesheet" type="text/css" />
    @*<script src="https://kit.fontawesome.com/b4077a95f0.js" crossorigin="anonymous"></script>*@
</head>
<style>

    #upload-avatar {
        z-index: 1080 !important;
    }

    .modal + .modal {
        background: rgba(0, 0, 0, 0.6);
    }
</style>
@*<style>
        .modal-content {
            position: relative;
            margin: 0 auto;
            top: 10%;
        }
        .modal-footer {
            margin-top: 0px;
        }
    </style>*@
<div class="modal-dialog" style="width: 70%;">

    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <div class="modal-title">Ghi chú</div>
        </div>
        <div class="modal-body table-responsive">
            <table class="table table-hover">
                <tr>
                    <td>
                        <div class="btn btn-primary" id="AddNewRow_ChiTietSuCo1" onclick="AddNewRow_ChiTietSuCo1(1)">Thêm dòng</div>
                    </td>
                </tr>
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.FirstOrDefault().Ngaytao)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.FirstOrDefault().Nguoitao)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.FirstOrDefault().Loaighichu)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.FirstOrDefault().Noidungghichu)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.FirstOrDefault().Dinhkem)
                    </th>
                    <th></th>
                </tr>

                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.Ngaytao)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Nguoitao)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Loaighichu)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Noidungghichu)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Dinhkem)
                        </td>
                        <td>
                            @*@Html.ActionLink("Edit", "Edit", new { id = item.ChitietSuCoId }) |
                                @Html.ActionLink("Details", "Details", new { id = item.ChitietSuCoId }) |
                                @Html.ActionLink("Delete", "Delete", new { id = item.ChitietSuCoId })*@
                        </td>
                    </tr>
                }

            </table>

            <br />

            @*___________Phân trang__________*@
            <div class="row">
                <div class="col-sm-5">
                    @*Trang thứ @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) trong tổng số @Model.PageCount trang
                    *@

                    @Model.FirstItemOnPage - @Model.LastItemOnPage trong @Model.TotalItemCount dòng

                </div>

                @*<div class="col-sm-3" style="float:right;">
                        <div class="col-sm-4">
                            @Html.DropDownList("Pagesize", new List<SelectListItem>
                        {
                        new SelectListItem { Text = "10", Value = "10"},
                        new SelectListItem { Text = "20", Value = "20"},
                        new SelectListItem { Text = "50", Value = "50"}
                        })
                        </div>  dòng trên mỗi trang.
                    </div>*@


                <div class="col-sm-4" style="float:right;" id="PageSizeChoose">
                    @*Html.BeginForm run the HOME controller InvoiceList Action's GET method when form get submitted.*@
                    @using (Html.BeginForm("Partial_ChiTiet", "ChiTietSuCoes", FormMethod.Get, new { id = "form1" }))
                    {
                        <div id='Paging' style="text-align: center">
                            @Html.DropDownList("pageSize", null, new { @style = "width:50px" })      dòng trên trang
                        </div>
                    }
                </div>
            </div>

            @*___________Phân trang__________*@
            <div id="myPager">
                @Html.PagedListPager(Model, page => Url.Action("Partial_ChiTiet", new { page, pageSize = ViewBag.psize, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter }), new PagedListRenderOptions()
                {
                    DisplayLinkToFirstPage = PagedListDisplayMode.Always,
                    DisplayLinkToPreviousPage = PagedListDisplayMode.Always,
                    DisplayLinkToLastPage = PagedListDisplayMode.Always,
                    DisplayLinkToNextPage = PagedListDisplayMode.Always,
                    MaximumPageNumbersToDisplay = 5, // number of pages in line
                    DisplayEllipsesWhenNotShowingAllPageNumbers = true
                })
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
    </div>

</div>
<script>
    $("#pageSize").change(function () {
        /*$("#form1").submit();*/
    });

    function AddNewRow_ChiTietSuCo1(SuCoID) {
        var url = '/ChiTietSuCoes/Partial_UploadAndNoiDung?idSuCoID=' + SuCoID;
        $.get(url, function (data2) {
            $('#upload-avatar').html(data2);
            $('#upload-avatar').modal('toggle');
        });
    }

</script>
<script type="text/javascript">

    $(function () {
        $.ajaxSetup({ cache: false });

        //setDialogLink($('a[btnName=btnCreate]'), 'Create Customer', 500, 600, "contentFrame", "/Customers/Index");
        //setDialogLink($('a[btnName=btnEdit]'), 'Edit Customer', 500, 600, "contentFrame", "/Customers/Index");
        //setDialogLink($('a[btnName=btnDetails]'), 'Customer Details', 500, 600, "contentFrame", "/Customers/Index");

        $('a[btnName=btnDelete]').click(function (e) {
            e.preventDefault();
            var confirmResult = confirm("Are you sure?");
            if (confirmResult) {
                /*    $('#myModal2').mask("waiting ...");*/

                $.ajax(
                    {
                        url: this.href,
                        type: 'POST',
                        data: JSON.stringify({}),
                        dataType: 'json',
                        traditional: true,
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            if (data.success) {
                                $('#myModal2').load("/Customers/Index");
                            }
                            else {

                                alert(data.errormessage);
                            }
                            /*    $('#myModal2').unmask("waiting ...");*/

                        },
                        error: function (data) {
                            alert("An error has occured!!!");
                            /*     $('#myModal2').unmask("waiting ...");*/
                        }

                    });
            }

        })


        $("a[btnName=FilterCustomer]").click(function (e) {
            e.preventDefault();
            var search = $('input[name=search]').val();
            this.href = this.href.replace('xyz', search);
            /*   $('#myModal2').mask("waiting ...");*/
            $.ajax({
                url: this.href,
                type: 'POST',
                cache: false,
                success: function (result) {
                    /*       $('#myModal2').unmask("waiting ...");*/
                    $('#myModal2').html(result);
                }

            });
        });


        $(".SortButton").click(function (e) {

            e.preventDefault();
            /*   $('#myModal2').mask("waiting ...");*/
            $.ajax({
                url: this.href,
                type: 'POST',
                cache: false,
                success: function (result) {
                    /*    $('#myModal2').unmask("waiting ...");*/
                    $('#myModal2').html(result);
                }

            })

        });


        $('#myPager').on('click', 'a', function (e) {
            debugger;
            if (this.href) {
                e.preventDefault();
                /*   $('#myModal2').mask("waiting ...");*/
                $.ajax({
                    url: this.href,
                    type: 'GET',
                    cache: false,
                    success: function (result) {

                        /*    $('#myModal2').unmask("waiting ...");*/
                        $('#myModal2').html(result);
                    }
                });
            }
        });
    });
</script>
<script>
    //$(document)
    //    .on('hidden.bs.modal', '.modal', function () {
    //        debugger;
    //        $(document.body).addClass('modal-open')
    //    })
    $('#upload-avatar').on('hidden.bs.modal', function () {

        setTimeout(function () {
            $(document.body).addClass('modal-open');
        }, 200);
        debugger;
    });
</script>